Subject: RE: Question about interfacing Routing and LDP in MPLS systems?

From: Bora Akyol <[email-masked]>
Date: Fri, 10 Dec 1999 10:13:34 -0800

Eric

How do I know which FECs to get LSPs established for?

I think that was the original question asked by the email.

Bora Akyol, Pluris
http://www.pluris.com/

-----Original Message-----
From: Eric Gray [mailto:[email-masked]]
Sent: Friday, December 10, 1999 4:57 AM
To: Bora Akyol
Cc: Zhong Hu; [email-masked]
Subject: Re: Question about interfacing Routing and LDP in MPLS systems?

Bora,

        Actually, there's absolutely no reason why it
can't be more dynamic than this.  Irregardless of the
routing protocols used to derive them, entries in a
route table should map very nicely to FECs as defined
in LDP.  Within a particular domain, most routers will
also have very similar route table entries - in terms
of the address and prefix length (or mask) used to map
an entry to an MPLS FEC.

        Consequently, in DoD mode (for example), when
I derive a new route table entry, I would go to the
next hop for that entry (if it is an LSR with which I
have an established LDP peer session) with a Label
Request - requesting a label for the FEC derived from
the route table entry).  In the event that the route
table is fully populated prior to an implementation's
having established an LDP session with its peers, the
implementation can use the successful establishment of
the peer session as a trigger to go through the route
table looking for routes with this next hop, determine
if there is a label for this entry and request one if
there is not.  A DoD implementation should do this in
any case.

        In the DU mode, it's quite a bit simpler.  Any
time such an implementation derives a new route table
entry, it sends a Label Mapping to all but the next hop
for that route entry.

        In either mode, if a route entry is deleted,
the implementation sends a Label Withdraw to any of
it's peers that have an outstanding Label Mapping
(meaning one was sent and not yet released).

        This is considerably more dynamic than would
be the case if configuration was required.

You wrote:
>
> Zhong,
>
> Unless labels are piggy backed in BGP, then the FECs that are associated
> with LSPs are usually determined by configuration. A long long time ago,
> Ipsilon's IP switch did this association dynamically.
>
> Bora Akyol, Pluris
> http://www.pluris.com/
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, December 09, 1999 6:33 PM
> To: [email-masked]
> Subject: Question about interfacing Routing and LDP in MPLS systems?
>
> Hello, everyone:
>
> If a system is supporting routing protocols RIP, OSPF, and BGP all, how to
> associate the routing information with the label in MPLS (the interface
> between
> the routing and LDP)?  For BGP, someone suggest using piggyback method.
But
> what
> about OSPF? So far, I could not find any document on that. How to
converting
> the
> routing information between those routing protocols?
>
> Any suggestions will be appreciated.
>
> Zhong Hu
>
> Comsat Labs